Subject: bug#23426: 25.0.93; dired-do-find-regexp doesn't find newline

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 May 2016 19:51:36 +0300

> Date: Wed, 4 May 2016 09:32:45 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > Maintaining too many alternative UIs is a maintenance burden we cannot
> > afford.
> 
> Even if you left the existing `A' and `Q' code dormant, there
> would likely be little noticeable problem.  At least for a few
> years, while letting users experiment with the new.
> 
> Seriously, how much change has been needed recently for the
> existing `A' and `Q' code?  Code which you are anyway not
> removing immediately.

Asked and answered already.

> The question I raised is only about the key bindings.

We cannot move to a new UI without moving the key bindings, so your
suggestion is at best impractical.

> Can you show where I claimed ill will on anyone's part in making
> this change?

All over.

> I'm sure the intentions were good ones.

We all know what happens with good intentions.

> As I said earlier, if the key bindings had not been taken over,
> I would likely have said nothing at all about this new feature.

It's not _what_ you say, it's _how_ you say it.

> The maintenance burden of the existing `A' and `Q' code?

The maintenance burden of the tags-loop-continue UI.

> You're not removing it immediately anyway.  Why the need to
> take over those keys immediately?

As a first significant step towards removing it.